Subject: bug#79395: 30.2; Search for a function inside a mini buffer

From: Juri Linkov <[email-masked]>
Date: Sat, 06 Sep 2025 21:34:58 +0300

> You can search inside mini buffer, `M-x C-s`, to find a command to execute.
> But it seems that you can't run `C-h f C-s` to search function documentation.
> there are no list to search through. And the search says [Failing I-search] no
> matter what you type.
>
> There was related bug report in 2012:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=12490
>
> When the feature of searching inside mini buffer was removed (by accident I
> assume). There was a workaround created back then. I'm not sure if the
> workaround also fixed `C-h f` (most likely did, I would probably found this
> sooner), but now it's not working the same as the workaround that I was
> given. I also run in `emacs -Q` and `M-x C-s` is working there, but
> `C-h f C-s` do not.
>
> I also checked `C-h v C-s`, so I can assume that all docs have the same
> issue.

Sorry, help-related commands recently were excluded from C-s
by the request at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64656

When you remove the symbol `help--symbol-completion-table`
from the function `minibuffer-default-add-completions`,
this will restore the functionality that you need.